<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
	<xsl:output method="xml" />
	<xsl:param name="test" />

	<xsl:template match="/testResults">
		<div>
			<div style="float:right">
				<img id="spinner" src="/nkse/style/img/ajax-loader.gif" style="display:none;"/>
			</div>
	
			<xsl:apply-templates select="totalResults" />
				<div class="panel panel-default">
					<div class="panel-heading">
						<div class="panel-title">Test Set Results</div>
					</div>
				<div class="table-responsive">
				<table class="table">
					<tr>
						<th>Test Set</th>
						<th>Total</th>
						<th>Run</th>
						<th>Success</th>
						<th>Fail</th>
						<th>Assert</th>
						<th>Exec Time</th>
						<th>Total Time</th>
						<th colspan="2" />
					</tr>
					<xsl:apply-templates select="//test" />
				</table>
				</div>
				</div>
				
		</div>
	</xsl:template>

	<xsl:template match="totalResults">
		<div>
			<script language="javascript">
			<xsl:comment>
			function exec()
			{	$("#execute").removeClass("btn-primary").addClass("btn-danger");
				$("#spinner").show();
				$(".table").hide();
				location.reload();
			}
			</xsl:comment>
			</script>
			<p>
				<button class="btn btn-primary" type="button" id="execute" onclick="javascript:exec()"><span class="icon-play"> </span> execute</button>
			</p>

			<div class="panel panel-default">
				<div class="panel-heading"><div class="panel-title">Total Results</div></div>
			<table class="table">
				<xsl:variable name="class">
					<xsl:choose>
						<xsl:when test="testFailException+testFailAssert &gt; 0">
							<xsl:text>xunit-exception</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>xunit-success</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<tr>
					<th>Date</th>
					<th>Total</th>
					<th>Run</th>
					<th>Success</th>
					<th>Exceptions</th>
					<th>Assert</th>
					<th>Exec Time</th>
					<th>Total Time</th>
				</tr>
				<tr class="{$class}">
					<td>
						<xsl:value-of select="testDate"/>
					</td>
					<td align="center">
						<xsl:value-of select="testTotal" />
					</td>
					<td align="center">
						<xsl:value-of select="testRun" />
					</td>
					<td align="center">
						<xsl:value-of select="testSuccess" />
					</td>
					<td align="center">
						<xsl:value-of select="testFailException" />
					</td>
					<td align="center">
						<xsl:value-of select="testFailAssert" />
					</td>
					<td align="center">
						<xsl:value-of select="testExecutionTime" />
					</td>
					<td align="center">
						<xsl:value-of select="testTotalTime" />
					</td>
				</tr>
			</table>
			</div>
		</div>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="test">
		<tr>
			<xsl:attribute name="class">
					<xsl:choose>
					    <xsl:when test="results/testFailException+results/testFailAssert &gt; 0">
							<xsl:text>xunit-exception</xsl:text>
					    </xsl:when>
						<xsl:otherwise>
							<xsl:text>xunit-success</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
			</xsl:attribute>
			<td>
				<xsl:value-of select="id" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testTotal" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testRun" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testSuccess" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testFailException" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testFailAssert" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testExecutionTime" />
			</td>
			<td align="center">
				<xsl:value-of select="results/testTotalTime" />
			</td>
			<td>
				<input class="btn btn-xs btn-default" type="button" value="exec" onclick="parent.location='/test/exec/html/{id}'" />
			</td>
			<td>
				<input class="btn btn-xs btn-default" type="button" value="unformatted" onclick="parent.location='/test/exec/xml/{id}'" />
			</td>
		</tr>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="text()" />

</xsl:stylesheet>
