package org.ten60.netkernel.test.self;

import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.IHDSNode;
import org.netkernel.layer0.representation.IHDSNodeList;
import org.netkernel.layer0.representation.impl.HDSPredicateFactory;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class SelfTestAccessor extends StandardAccessorImpl
{
	private static final String TEST_MODULE_IDENTITY="urn:org:netkernel:mod:test";
	
	public SelfTestAccessor()
	{	this.declareThreadSafe();
	}
	
	public void onSource(INKFRequestContext context) throws Exception
	{	
		IHDSNode mods=context.source("active:moduleListDoc", IHDSNode.class);
		
		IHDSNodeList spaces=mods.getNodes("/modules/module/spaces/space");
		IHDSNode testSpace=spaces.filter(HDSPredicateFactory.namedChildEquals("id", TEST_MODULE_IDENTITY)).getFirstNode();
		INKFRequest req=context.createRequest("active:test");
		req.addArgument("tests","res:/org/ten60/netkernel/test/self/masterTestList.xml");
		req.addArgument("space",TEST_MODULE_IDENTITY);
		req.addArgument("version", testSpace.getFirstValue("version").toString());
		context.createResponseFrom(context.issueRequestForResponse(req));
	}
		
}
